groovy.swing.impl

## Class ListWrapperListModel<E>

- java.lang.Object
- - javax.swing.AbstractListModel
  - - groovy.swing.impl.ListWrapperListModel<E>

All Implemented Interfaces:
  java.io.Serializable, javax.swing.ListModel

    public class ListWrapperListModel<E>
    extends javax.swing.AbstractListModel

A `ListModel` implementation that's backed by a live `List`.

Author:
  Andres Almiray
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractListModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`ListWrapperListModel(java.util.List<E> delegateList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(E e)`
`void` `add(int i, E e)`
`boolean` `addAll(java.util.Collection<? extends E> es)`
`boolean` `addAll(int i, java.util.Collection<? extends E> es)`
`void` `clear()`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsAll(java.util.Collection<?> objects)`
`E` `get(int i)`
`java.util.List<E>` `getDelegateList()`
`java.lang.Object` `getElementAt(int i)`
`int` `getSize()`
`int` `indexOf(java.lang.Object o)`
`boolean` `isEmpty()`
`java.util.Iterator<E>` `iterator()`
`int` `lastIndexOf(java.lang.Object o)`
`java.util.ListIterator<E>` `listIterator()`
`java.util.ListIterator<E>` `listIterator(int i)`
`E` `remove(int i)`
`boolean` `remove(java.lang.Object o)`
`void` `removeRange(int fromIndex, int toIndex)`
`E` `set(int i, E e)`
`java.lang.Object[]` `toArray()`
`<T> T[]` `toArray(T[] ts)`

### Methods inherited from class javax.swing.AbstractListModel

`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListWrapperListModel

    public ListWrapperListModel(java.util.List<E> delegateList)

### Method Detail

#### getDelegateList

    public java.util.List<E> getDelegateList()

#### getSize

    public int getSize()

#### getElementAt

    public java.lang.Object getElementAt(int i)

#### set

    public E set(int i,
                 E e)

#### clear

    public void clear()

#### lastIndexOf

    public int lastIndexOf(java.lang.Object o)

#### contains

    public boolean contains(java.lang.Object o)

#### listIterator

    public java.util.ListIterator<E> listIterator()

#### isEmpty

    public boolean isEmpty()

#### indexOf

    public int indexOf(java.lang.Object o)

#### add

    public void add(int i,
                    E e)

#### iterator

    public java.util.Iterator<E> iterator()

#### addAll

    public boolean addAll(java.util.Collection<? extends E> es)

#### remove

    public E remove(int i)

#### addAll

    public boolean addAll(int i,
                          java.util.Collection<? extends E> es)

#### listIterator

    public java.util.ListIterator<E> listIterator(int i)

#### containsAll

    public boolean containsAll(java.util.Collection<?> objects)

#### remove

    public boolean remove(java.lang.Object o)

#### add

    public boolean add(E e)

#### get

    public E get(int i)

#### toArray

    public <T> T[] toArray(T[] ts)

#### toArray

    public java.lang.Object[] toArray()

#### removeRange

    public void removeRange(int fromIndex,
                            int toIndex)